<?php
/**
 * Customizer: Sanitization Callbacks
 *
 * This file demonstrates how to define sanitization callback functions for various data types.
 * 
 * @package   Expert Gamer
 * @copyright Copyright (c) 2015, WordPress Theme Review Team
 * @license   http://www.gnu.org/licenses/old-licenses/gpl-2.0.html GNU General Public License, v2 (or newer)
 */

function expert_gamer_sanitize_checkbox( $expert_gamer_checked ) {
	return ( ( isset( $expert_gamer_checked ) && true == $expert_gamer_checked ) ? true : false );
}

function expert_gamer_switch_sanitization( $expert_gamer_input ) {
    if ( true === $expert_gamer_input ) {
        return 1;
    } else {
        return 0;
    }
}

function expert_gamer_sanitize_choices( $expert_gamer_input, $expert_gamer_setting ) {
    global $wp_customize; 
    $expert_gamer_control = $wp_customize->get_control( $expert_gamer_setting->id ); 
    if ( array_key_exists( $expert_gamer_input, $expert_gamer_control->choices ) ) {
        return $expert_gamer_input;
    } else {
        return $expert_gamer_setting->default;
    }
}

function expert_gamer_sanitize_float( $expert_gamer_input ) {
    return filter_var($expert_gamer_input, FILTER_SANITIZE_NUMBER_FLOAT, FILTER_FLAG_ALLOW_FRACTION);
}

function expert_gamer_sanitize_html( $expert_gamer_html ) {
	return wp_kses_post( force_balance_tags( $expert_gamer_html ) );
}

/* Sanitization Text*/
function expert_gamer_sanitize_text( $expert_gamer_text ) {
	return wp_filter_post_kses( $expert_gamer_text );
}

function expert_gamer_sanitize_phone_number( $expert_gamer_phone ) {
    return preg_replace( '/[^\d+]/', '', $expert_gamer_phone );
}

// Sanitization callback function for numeric input
function expert_gamer_sanitize_numeric_input($expert_gamer_input) {
    // Remove any non-numeric characters
    return preg_replace('/[^0-9]/', '', $expert_gamer_input);
}

// Sanitization callback function for logo width
function expert_gamer_sanitize_logo_width($expert_gamer_input) {
    $expert_gamer_input = absint($expert_gamer_input); // Convert to integer
    // Ensure the value is between 1 and 150
    return ($expert_gamer_input >= 1 && $expert_gamer_input <= 300) ? $expert_gamer_input : 150; // Default to 270 if out of range
}

// Sanitize the input
function expert_gamer_sanitize_sidebar_position( $expert_gamer_input ) {
    $expert_gamer_valid = array( 'right', 'left' );

    if ( in_array( $expert_gamer_input, $expert_gamer_valid ) ) {
        return $expert_gamer_input;
    } else {
        return 'right';
    }
}

function expert_gamer_sanitize_copyright_position( $expert_gamer_input ) {
    $expert_gamer_valid = array( 'right', 'left', 'center' );
    if ( in_array( $expert_gamer_input, $expert_gamer_valid, true ) ) {
        return $expert_gamer_input;
    } else {
        return 'right';
    }
}